Skip to main content
GET
/
price-lists
List Price Lists
curl --request GET \
  --url https://integrations.clopos.com/open-api/v2/price-lists \
  --header 'x-token: <api-key>'
{
  "data": [
    {
      "id": 123,
      "name": "<string>",
      "description": "<string>",
      "status": true,
      "prices": [
        {
          "id": 123,
          "list_id": 123,
          "product_id": 123,
          "price": 123,
          "product": {
            "id": 123,
            "name": "<string>",
            "full_name": "<string>",
            "status": 123,
            "price": 123,
            "cost_price": 123,
            "has_modifications": true,
            "modifications": [
              {
                "id": 123,
                "parent_id": 123,
                "type": "MODIFICATION",
                "name": "<string>",
                "price": 123,
                "cost_price": 123,
                "barcode": "<string>",
                "full_name": "<string>",
                "status": 123
              }
            ],
            "modificator_groups": [
              {
                "id": 123,
                "name": "<string>",
                "type": 123,
                "min_select": 123,
                "max_select": 123,
                "modificators": [
                  {
                    "id": 123,
                    "name": "<string>",
                    "price": 123,
                    "cost_price": 123,
                    "max_count": 123,
                    "status": true,
                    "ingredient": "<unknown>"
                  }
                ]
              }
            ],
            "recipe": [
              {
                "id": 123,
                "name": "<string>",
                "cost_price": 123,
                "pivot": {
                  "gross": "<string>"
                }
              }
            ],
            "packages": [
              {
                "id": 123,
                "name": "<string>",
                "equal": 123
              }
            ],
            "setting": {
              "interval": 123,
              "prices": [
                {
                  "price": 123,
                  "from": 123
                }
              ]
            },
            "taxes": [
              {
                "id": 123,
                "name": "<string>",
                "rate": 123
              }
            ],
            "tags": [
              {}
            ],
            "created_at": "2023-11-07T05:31:56Z",
            "updated_at": "2023-11-07T05:31:56Z"
          },
          "list": "<unknown>"
        }
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "page": 123,
    "per_page": 123,
    "total": 123,
    "total_pages": 123
  }
}

Authorizations

x-token
string
header
required

JWT access token obtained from /v2/auth endpoint

Query Parameters

limit
integer
default:50

Maximum number of price lists to return per page (1-999).

Required range: 1 <= x <= 999
sort
string[][]

Sort the results. Supported fields: id, name, created_at. Use array notation, e.g. sort[0][0]=name&sort[0][1]=asc.

with[]
enum<string>[]

Include related data in the response. Supported values: prices.

Available options:
prices
selects
string

Comma-separated list of fields to include in the response.

Example:

"id,name,status"

Response

Price lists retrieved successfully.

data
object[]
pagination
object